Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80448 - --builtin=" does not work
Summary: --builtin=" does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-26 19:00 UTC by Jordan Russell
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-11 19:00:56 UTC


Attachments (Terms of Use)

Description Jordan Russell 2002-12-26 19:00:00 UTC
Description of problem:
If you include an "=" sign after "--builtin", the option appears to be ignored.

Version-Release number of selected component (if applicable):
mkinitrd-3.4.28-1

How reproducible:
Always

Steps to Reproduce:
# mkinitrd -f --builtin raid1 /boot/initrd-2.4.20.img 2.4.20
(...no error...)
# mkinitrd -f --builtin=raid1 /boot/initrd-2.4.20.img 2.4.20
No module raid1 found for kernel 2.4.20

Expected Results:  "--builtin raid1" should be equivalent to "--builtin=raid1"

Additional info:

Comment 1 Jeremy Katz 2003-01-06 05:21:15 UTC
For now, workaround with '--builtin foo' but the fix is in cvs and will be in
3.4.34-1


Note You need to log in before you can comment on or make changes to this bug.